From 38c136fdbd2ec0f5bde3595a5ff202d6f05c8d49 Mon Sep 17 00:00:00 2001
From: Luke Leighton <lkcl@lkcl.net>
Date: Sat, 11 Sep 2010 13:25:00 +0100
Subject: [PATCH 05/34] slight update to test jsonrpc script to cope with exceptions

---
 gnumed/gnumed/client/testing/testjsonrpc.py |   21 +++++++++++++++------
 1 files changed, 15 insertions(+), 6 deletions(-)

diff --git a/gnumed/gnumed/client/testing/testjsonrpc.py b/gnumed/gnumed/client/testing/testjsonrpc.py
index f98ee66..d4c0c61 100644
--- a/gnumed/gnumed/client/testing/testjsonrpc.py
+++ b/gnumed/gnumed/client/testing/testjsonrpc.py
@@ -35,28 +35,37 @@ class TestJsonServer(unittest.TestCase):
 #        reply = s.get_doc_types()
 #        print reply
 	
-	reply = s.login("any-doc", "any-doc")
+        reply = s.login("any-doc", "any-doc")
         #reply = s.login("lkcl", "fail")
         print "1", reply
         print
-        reply = s2.login("any-doc", "fail")
-        print "2", reply
+        try:
+            reply = s2.login("any-doc", "fail")
+            print "2", reply
+            print "FAILURE DID NOT OCCUR"
+        except:
+            print "expected failure"
+
+        reply = s.get_schema_version()
+        print "1", reply
         print
 
         session3 = proxy.Session(username="", password="")
         s3= proxy.ServerProxy("http://127.0.0.1:8080/JSON", 
                               session=session3, send_id=True)
 
-        reply = s3.get_doc_types()
+        reply = s3.login("any-doc", "any-doc")
         print "3", reply
         print
 
-        reply = s.get_schema_version()
-        print "1", reply
+        reply = s3.get_doc_types()
+        print "3", reply
         print
+
         reply = s2.get_doc_types()
         print "2", reply
         print
 
 if __name__=="__main__":
     unittest.main()
+
-- 
1.7.1

